# Buzzer Library for MicroBlocks

Welcome to the **Buzzer Library** for MicroBlocks!  
This library makes it easy for anyone—even if you don’t know how to code or use a computer much—to control a fan motor using simple blocks in MicroBlocks.

---

## Features

- **Easy drag-and-drop blocks** for controlling your fan motor
- **No coding required**
- **Turn on & off the buzzer**
- **Control the notes**
- **Beginner-friendly instructions**

---

## Getting Started

**What you need:**
- Spark microcontroller and connecting wires
- MicroBlocks IDE installed ([Download here](https://microblocks.fun/download/))
- A fan motor and basic connecting wires

---

## Installation

1. **Download the Fan Motor Library:**  
   Download the library file from [here](Buzzer.ubl).

2. **Open MicroBlocks IDE** on your computer.

3. **Add the Library:**
   - Go to the library manager in MicroBlocks.
   - Click “Import Library” or drag and drop the downloaded file into the IDE.

---

## How to Use

1. **Connect your Buzzer** to your microcontroller’s pins (see your board’s pinout for details).

2. **Open MicroBlocks IDE** and make sure your board is connected.

3. **Find the Buzzer blocks** in the blocks menu.

4. **Drag the blocks** you want to use into your script area.  
   - For example: 
    - “Set Pin Value 
    - Turn Buzzer On and Off
    - Change Note"

5. **Click the green flag** or “Run” to start controlling your fan!

---
## Example Project

![](Images/4.png)

After setting the pin value, there are two ways to use a buzzer:

1. You can simply turn it on or off.
2. You can adjust its notes.

---

## Troubleshooting

- **Fan not spinning?**  
  - Double-check your wiring.
  - Make sure your microcontroller is powered on.

- **Blocks not showing up?**  
  - Make sure you imported the library correctly.

- **Still stuck?**  
  - See the “Contact” section below!

---

*Have fun building with your Buzzer!*

